Subject: bug#19576: write-file writes the wrong buffer

From: Anders Lindgren <[email-masked]>
Date: Sat, 21 Nov 2015 21:33:52 +0100

Auhm -- when starting to write the bug report I decided to make sure I got
all the facts right.

Unfortunately, it turned out that I had run an old Emacs 23 on X11 -- which
do run the window-size-change-functions. When testing on an Emacs 25 on
X11, it turns out that it doesn't. Back on the mac, I see the same pattern.

In other words: On Emacs 23, window-size-change-functions is called when
the user manually resized the frame. On Emacs 24 and Emacs 25 it isn't.

Sorry for the mixup.

Anyway, I just reported this regression as bug#21975.

I noticed this since Follow-mode no longer aligns its windows automatically
when the user resized the frame. In practice, this is not a big problem
since they will become aligned at the first user interaction instead.

    -- Anders

On Sat, Nov 21, 2015 at 8:08 PM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Sat, 21 Nov 2015 19:44:07 +0100
> > From: martin rudalics <[email-masked]>
> > CC: [email-masked], [email-masked], [email-masked],
> >  [email-masked]
> >
> >  > We could run both types of hooks, couldn't we?
> >
> > As I said we do that already for splitting and deleting windows.  So we
> > obviously could.  But this means that packages run the same function
> > twice because they are used to run the same function in both hooks.
>
> That'[s why I think we should do this on master, to see if this causes
> any problems.
>
> >  > The documentation
> >  > seems to suggest that both of them should be run in this situation.
> >
> > ‘window-configuration-change-hook’ shouldn't run since the window
> > configuration does not change.
>
> But the ELisp manual says it should:
>
>    -- Variable: window-configuration-change-hook
>        A normal hook that is run every time you change the window
>        configuration of an existing frame.  This includes splitting or
>        deleting windows, changing the sizes of windows, or displaying a
>                          ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>        different buffer in a window.
>
> > But why should we OT1H make ‘window-size-change-functions’ more
> > efficient when OTOH we call it after we already called
> > ‘window-configuration-change-hook’?
>
> Sorry, I don't see the relevance of efficiency to this issue.
>